This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 3 failed / 20 succeeded
Started2020-01-30 05:01
Elapsed33m12s
Revision
Buildergke-prow-default-pool-cf4891d4-qrfg
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/edb534b0-e0ee-4481-b609-671770bad71d/targets/test'}}
pod7df0c903-431d-11ea-a178-86cbaab4a521
resultstorehttps://source.cloud.google.com/results/invocations/edb534b0-e0ee-4481-b609-671770bad71d/targets/test
infra-commit51abc4f96
job-versionv1.15.10-beta.0.1+43baf8affdbbf7
master_os_imagecos-73-11647-163-0
node_os_imagegke-1134-gke-rc5-cos-69-10895-138-0-v190320-pre-nvda-gpu
pod7df0c903-431d-11ea-a178-86cbaab4a521
revisionv1.15.10-beta.0.1+43baf8affdbbf7

Test Failures


GPU master upgrade [sig-node] gpu-master-upgrade 5m48s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=GPU\smaster\supgrade\s\[sig\-node\]\sgpu\-master\-upgrade$'
Jan 30 05:21:07.591: Unexpected error:
    <*errors.errorString | 0xc00340a050>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.7-beta.0.1+8fc866b3067974]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-8gkt\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-927l\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-h5bf\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.7-beta.0.1+8fc866b3067974/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n.......................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Upgrading the CoreDNS ConfigMap ==\\nconfigmap/coredns configured\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE   VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   12m   v1.16.7-beta.0.1+8fc866b3067974\\nbootstrap-e2e-minion-group-8gkt   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\\nbootstrap-e2e-minion-group-927l   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\\nbootstrap-e2e-minion-group-h5bf   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\\nValidate output:\\nNAME                 AGE\\nscheduler            <unknown>\\ncontroller-manager   <unknown>\\netcd-1               <unknown>\\netcd-0               <unknown>\\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.16.7-beta.0.1+8fc866b3067974\\\"\\nname: \\\"bootstrap-e2e-minion-group-8gkt\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-927l\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-h5bf\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\n\", stderr \"Project: k8s-jkns-e2e-gce-plugin-gpus\\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-8gkt bootstrap-e2e-minion-group-927l bootstrap-e2e-minion-group-h5bf\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 104.196.234.20; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP     STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   104.196.234.20  RUNNING\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-jkns-e2e-gce-plugin-gpus\\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\\nZone: us-west1-b\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.7-beta.0.1+8fc866b3067974]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-8gkt\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-927l\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-h5bf\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.7-beta.0.1+8fc866b3067974/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n.......................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Upgrading the CoreDNS ConfigMap ==\nconfigmap/coredns configured\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE   VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   12m   v1.16.7-beta.0.1+8fc866b3067974\nbootstrap-e2e-minion-group-8gkt   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\nbootstrap-e2e-minion-group-927l   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\nbootstrap-e2e-minion-group-h5bf   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\nValidate output:\nNAME                 AGE\nscheduler            <unknown>\ncontroller-manager   <unknown>\netcd-1               <unknown>\netcd-0               <unknown>\n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.16.7-beta.0.1+8fc866b3067974\"\nname: \"bootstrap-e2e-minion-group-8gkt\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-927l\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-h5bf\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\n", stderr "Project: k8s-jkns-e2e-gce-plugin-gpus\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-8gkt bootstrap-e2e-minion-group-927l bootstrap-e2e-minion-group-h5bf\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 104.196.234.20; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP     STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   104.196.234.20  RUNNING\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-jkns-e2e-gce-plugin-gpus\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\nZone: us-west1-b\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\n"
occurred

k8s.io/kubernetes/test/e2e/lifecycle.glob..func5.1.1.1()
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:231 +0x12c
k8s.io/kubernetes/test/e2e/chaosmonkey.(*Chaosmonkey).Do(0xc003a33218)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/chaosmonkey/chaosmonkey.go:111 +0x38a
k8s.io/kubernetes/test/e2e/lifecycle.runUpgradeSuite(0xc00095cf00, 0x76ac6d0, 0x1, 0x1, 0xc0006e5320, 0xc0005b7d10, 0xc002dec7e0, 0x0, 0xc0025048a0)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:483 +0x47a
k8s.io/kubernetes/test/e2e/lifecycle.glob..func5.1.1()
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:234 +0x227
k8s.io/kubernetes/test/e2e.RunE2ETests(0xc000178600)
	_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/e2e.go:94 +0x242
k8s.io/kubernetes/test/e2e.TestE2E(0xc000178600)
	_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/e2e_test.go:116 +0x2b
testing.tRunner(0xc000178600, 0x49a0850)
	/usr/local/go/src/testing/testing.go:909 +0xc9
created by testing.(*T).Run
	/usr/local/go/src/testing/testing.go:960 +0x350
				from junit_upgradeupgrades.xml

Filter through log files | View test history on testgrid


Kubernetes e2e suite [sig-cluster-lifecycle] gpu Upgrade [Feature:GPUUpgrade] master upgrade should NOT disrupt gpu pod [Feature:GPUMasterUpgrade] 11m57s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=Kubernetes\se2e\ssuite\s\[sig\-cluster\-lifecycle\]\sgpu\sUpgrade\s\[Feature\:GPUUpgrade\]\smaster\supgrade\sshould\sNOT\sdisrupt\sgpu\spod\s\[Feature\:GPUMasterUpgrade\]$'
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:220
Jan 30 05:21:07.591: Unexpected error:
    <*errors.errorString | 0xc00340a050>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.7-beta.0.1+8fc866b3067974]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-8gkt\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-927l\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-h5bf\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.7-beta.0.1+8fc866b3067974/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n.......................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Upgrading the CoreDNS ConfigMap ==\\nconfigmap/coredns configured\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE   VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   12m   v1.16.7-beta.0.1+8fc866b3067974\\nbootstrap-e2e-minion-group-8gkt   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\\nbootstrap-e2e-minion-group-927l   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\\nbootstrap-e2e-minion-group-h5bf   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\\nValidate output:\\nNAME                 AGE\\nscheduler            <unknown>\\ncontroller-manager   <unknown>\\netcd-1               <unknown>\\netcd-0               <unknown>\\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.16.7-beta.0.1+8fc866b3067974\\\"\\nname: \\\"bootstrap-e2e-minion-group-8gkt\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-927l\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\nname: \\\"bootstrap-e2e-minion-group-h5bf\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.10-beta.0.1+43baf8affdbbf7\\\"\\n\", stderr \"Project: k8s-jkns-e2e-gce-plugin-gpus\\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-8gkt bootstrap-e2e-minion-group-927l bootstrap-e2e-minion-group-h5bf\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 104.196.234.20; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP     STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   104.196.234.20  RUNNING\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-jkns-e2e-gce-plugin-gpus\\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\\nZone: us-west1-b\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.7-beta.0.1+8fc866b3067974]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-8gkt\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-927l\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-h5bf\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.7-beta.0.1+8fc866b3067974/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n.......................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Upgrading the CoreDNS ConfigMap ==\nconfigmap/coredns configured\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE   VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   12m   v1.16.7-beta.0.1+8fc866b3067974\nbootstrap-e2e-minion-group-8gkt   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\nbootstrap-e2e-minion-group-927l   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\nbootstrap-e2e-minion-group-h5bf   Ready                      <none>   12m   v1.15.10-beta.0.1+43baf8affdbbf7\nValidate output:\nNAME                 AGE\nscheduler            <unknown>\ncontroller-manager   <unknown>\netcd-1               <unknown>\netcd-0               <unknown>\n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.16.7-beta.0.1+8fc866b3067974\"\nname: \"bootstrap-e2e-minion-group-8gkt\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-927l\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\nname: \"bootstrap-e2e-minion-group-h5bf\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.10-beta.0.1+43baf8affdbbf7\"\n", stderr "Project: k8s-jkns-e2e-gce-plugin-gpus\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-8gkt bootstrap-e2e-minion-group-927l bootstrap-e2e-minion-group-h5bf\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 104.196.234.20; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP     STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   104.196.234.20  RUNNING\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-jkns-e2e-gce-plugin-gpus\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\nZone: us-west1-b\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\n"
occurred
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:231
				
				Click to see stdout/stderrfrom junit_upgrade01.xml

Filter through log files | View test history on testgrid


UpgradeTest 12m15s

error during kubetest --test --test_args=--ginkgo.focus=\[Feature:GPUMasterUpgrade\] --upgrade-target=ci/k8s-stable1 --upgrade-image=gci --report-dir=/workspace/_artifacts --disable-log-dump=true --report-prefix=upgrade --check-version-skew=false: exit status 1
				from junit_runner.xml

Filter through log files | View test history on testgrid


Show 20 Passed Tests

Show 9142 Skipped Tests